<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_mque.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Liste traitements de retours</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">
<?PHP include_once("../inc/entete.inc.php"); ?>
<p align="center"><span class="titrepage">LISTE DES TRAITEMENTS DE RETOUR</span></p>
<?PHP
$fic_imp = "retr_lsti.php";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

$rech = cree_strrechlstretr();
if (@$_SESSION["niv_log"] == 4)
{
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBRETP.".retp_codeage='".@$_SESSION["code_age"]."'";
	else
		$rech .= " AND ".TBRETP.".retp_codeage='".@$_SESSION["code_age"]."'";
}
$rech .= crestr_triord($retr_titre_col,"retr_dateret",FALSE,$limit);
$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête

if($numrows == 0)
{
	retpp();
}
 else
{
	include_once("formr.inc.php"); 

	$rech = cree_strrechlstretr();
	if (@$_SESSION["niv_log"] == 4)
	{
		if(!stristr($rech,"WHERE "))
			$rech .= " WHERE ".TBRETP.".retp_codeage='".@$_SESSION["code_age"]."'";
		else
			$rech .= " AND ".TBRETP.".retp_codeage='".@$_SESSION["code_age"]."'";
	}
	$rech .= crestr_triord($retr_titre_col,"retr_dateret",TRUE,$limit);
	$rs = mysql_query($rech) or die(mysql_error());

	// *** Pagination de pied
	pagine_lst($numrows,$limit);

	// *** Affichage de la table
	 echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titlst($retr_titre_col);
	echo "<th>".ucfirst($txt_ent_lst_clic)."</th>\n";
		
	$i = 0;
	
	while ($row = mysql_fetch_assoc($rs)) 
	{         
	 // Affichage liste Demandes de retours

		// Création de l'entête de ligne (TR)
		creetrlst($i);

		echo "<td align=\"center\">";
		echo formatedate($row["retr_dateret"]);
		echo "</td>\n";
		echo "<td>";
		echo $row["retr_coderetp"];
		echo " <a href=\"retp_maj.php?td=view&cpr=".$row["retp_code"]."\"><img src=\"../img/eye.png\" width=\"14\" height=\"14\" border=\"0\" align=\"absmiddle\" title=\"Voir fiche\"></a>";
		echo "<span class=\"annot_petit_it\">";
		echo "<br> ->".$row["retp_des"]." (".$row["retp_ns"].")";
		echo "</span>";
		echo "</td>\n";
		echo "<td align=\"center\">";
		echo $ope_types[$row["retr_typeope"]];
		if ($row["retr_clos"]==1)
			echo " <img src=\"../img/ok.png\" title =\"Clos\" border=\"0\" align=\"absmiddle\">";
		echo "</td>\n";

		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		 echo "<td>";
		 echo "<div align=\"center\">";

		$voir=FALSE;
		
		if ($row["retr_clos"] == 1)
			$voir=TRUE;

		if ($voir==FALSE)
		{
			$lst_maj = TRUE;
			echo "<a href=\"retr_maj.php?td=edit&cpr=".$row["retr_coderetp"]."&tdo=&ce=".$row["retp_codeenv"]."&ca=".$row["retp_codeage"]."\"><img src=\"../img/edit.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_edit."\"></a>";
			echo " ";
			$lst_del = TRUE;
			echo "<a href=\"retr_maj.php?td=del&cpr=".$row["retr_coderetp"]."&tdo=&ce=".$row["retp_codeenv"]."\"><img src=\"../img/del.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_del."\"></a>";
			echo " ";
		}
		else
		{
			$lst_voir = TRUE;
			echo "<a href=\"retr_maj.php?td=view&cpr=".$row["retr_coderetp"]."&tdo=&ce=".$row["retp_codeenv"]."\"><img src=\"../img/eye.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_voir."\"></a>";
			echo " ";
		}

		 echo "</div>";
		 echo "</td>\n";

		 echo "</tr>\n";
		
		$i++;    
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	mysql_close($conn);  
	
	// *** Pagination de pied
	pagine_lst($numrows,$limit);
	
	$taille_piedla="";
	include_once("piedla.inc.php"); 
}
include_once("pied.php");
?>
